# riscv::register::hie - Rust
Hypervisor Interrupt Enable Register.
Keywords: rust, rustlang, rust-lang, hie

# Module riscv::register::hie

source · [−]
Expand description

Hypervisor Interrupt Enable Register.

## Structs

Hie

## Functions

clear_sgeie ⚠

Guest External Interrupt

clear_vseie ⚠

External Interrupt

clear_vssie ⚠

Software Interrupt

clear_vstie ⚠

Timer Interrupt

read

Reads the CSR

set_sgeie ⚠

Guest External Interrupt

set_vseie ⚠

External Interrupt

set_vssie ⚠

Software Interrupt

set_vstie ⚠

Timer Interrupt